Skip to main content
GET
/
v1
/
market
/
{symbol}
/
market-calendar
Get market calendar
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/market/{symbol}/market-calendar \
  --header 'Authorization: Bearer <token>'
{
  "calendarUri": "<string>",
  "contentSha256": "<string>",
  "description": "<string>",
  "kind": "<string>",
  "loadedAt": "2023-11-07T05:31:56Z",
  "market": "<string>",
  "marketCalendarId": "<string>",
  "rawJson": "<string>",
  "calendar": {
    "dateOverrides": {},
    "weeklySchedule": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

symbol
string
required

Market symbol

Response

Market calendar

calendarUri
string
required
contentSha256
string
required
description
string
required
kind
string
required
loadedAt
string<date-time>
required
market
string
required
marketCalendarId
string
required
rawJson
string
required
calendar
object